.checkbox {
    appearance: none;

    margin: 0;
    display: grid;
    place-content: center;
    width: 24px;
    height: 24px;
    border: 2px solid var(--stroke-1);
    border-radius: 4px;
    flex-shrink: 0;

    font: inherit;
    background-color: #fff;
}

.checkbox::before {
    content: "";
    position: relative;
    width: 14px;
    height: 10px;
    background: url("/Check.svg") no-repeat;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
}

.checkbox:checked::before {
    transform: scale(1);
}